#include <iostream>
using namespace std;

int main() {
	int n;
	int a[10000];
	
	cin>>n;   //ulaz
	for(int i=0;i<n;i++)
	cin>>a[i];
	
	int c;
	if(n==2){
		c=a[0];
		a[0]=a[1];
		a[1]=c;
	}
	
	for(int i=0;i<n;i++)
	cout<<a[i]<<" ";
	
	
	
	
	
	return 0;
}